<?php
userstatus();

// Variabeln definieren
if(!isset($_POST['einzahlen']))     $_POST['einzahlen'] = "";
if(!isset($_POST['uid_passwort']))  $_POST['uid_passwort'] = "";
if(!isset($_POST['trans_menge']))   $_POST['trans_menge'] = "";
if(!isset($einzahlmeldung))         $einzahlmeldung = "";

$tag = strtotime("".date("m")."/".date("d")."/".date("Y")." 0 hours 0 minutes 0 seconds");

$schnittstellen_res = sql::$db->prepare("SELECT t1.*, t2.* FROM "._VMS_."_multi_konten t2
                                LEFT JOIN "._VMS_."_schnittstelle t1 ON t1.schnittstelle=t2.waehrung
                                WHERE t2.uid=:session_uid AND (t1.aktiv = 1 OR t1.aktiv = 3)");
$schnittstellen_res -> bindParam(':session_uid', $_SESSION['uid'], PDO::PARAM_INT);
$schnittstellen_res -> execute();

while($_temp = $schnittstellen_res->fetch() ){
    $schnittstellen[] = $_temp;
    $erlaubte_schnittstellen[] = $_temp['schnittstelle'];
}

$sql = sql::$db->prepare("SELECT `kontostand` FROM "._VMS_."_kontodaten WHERE uid=:session_uid LIMIT 1");
$sql -> bindParam(':session_uid', $_SESSION['uid'], PDO::PARAM_INT);
$sql -> execute();
$kontodaten = $sql->fetch();

if(isset($_POST['waehrung']) && $_POST['einzahlen'] == 'Einzahlen' && $_POST['uid_passwort'] && $_POST['trans_menge'] && in_array($_POST['waehrung'], $erlaubte_schnittstellen)){
    $schnittstelle_f = sql::$db->prepare("SELECT * FROM "._VMS_."_schnittstelle WHERE (aktiv = 1 OR aktiv= 3) AND schnittstelle=:waehrung LIMIT 1");
    $schnittstelle_f -> bindParam(':waehrung', $_POST['waehrung'], PDO::PARAM_STR);
    $schnittstelle_f -> execute();
    if($schnittstelle_f->rowCount() == 1){
        $schnittstelle = $schnittstelle_f->fetch();;

        if($schnittstelle['anfragen_user'] != 0){
            $sql = sql::$db->prepare("SELECT * FROM "._VMS_."_schnittstelle_anfragen WHERE uid=:session_uid AND zeit=:tag");
            $sql -> bindParam(':session_uid', $_SESSION['uid'], PDO::PARAM_INT);
            $sql -> bindParam(':tag', $tag, PDO::PARAM_INT);
            $sql -> execute();
            $s_verbrauch = $sql->rowCount();
        }else $s_verbrauch = 0;

        $betragu = floor($_POST['trans_menge'] / $schnittstelle['wertepunkt']);
        $sql = sql::$db->query("SELECT `einzahlgrenze` FROM "._VMS_."_seitenkonfig LIMIT 1");
        $einzahlgrenze = $sql->fetch();
        if(filter_var($_POST['trans_menge'],FILTER_VALIDATE_FLOAT) and $_POST['trans_menge'] >= $schnittstelle['einzahlsumme'] and ($kontodaten['kontostand'] + ($_POST['trans_menge'] / $schnittstelle['wertepunkt'])) <= $einzahlgrenze['einzahlgrenze']){
            if($schnittstelle['anfragen_user'] == 0 or $s_verbrauch < $schnittstelle['anfragen_user']){
                $sql = sql::$db->prepare("SELECT kontoid FROM vms_multi_konten WHERE uid=:session_uid AND waehrung=:waehrung LIMIT 1");
                $sql -> bindParam(':session_uid', $_SESSION['uid'], PDO::PARAM_INT);
                $sql -> bindParam(':waehrung', $_POST['waehrung'], PDO::PARAM_STR);
                $sql->execute();
                $konto = $sql->fetch(PDO::FETCH_ASSOC);
                $buchungs_id = create_code(14);
                if($konto['kontoid'] != 0){
                    require_once("lib/schnittstellen/".$schnittstelle['schnittstelle'].".php");
                    einzahlen($schnittstelle['betreiber_id'], $schnittstelle['betreiber_passwort'], $konto['kontoid'], $_POST['uid_passwort'], $schnittstelle['betreiber_kennung'], $_POST['trans_menge'], $schnittstelle['einzahltext'], '');
                }
                if($schnittstelle['anfragen_user'] != 0)
                    $sql = sql::$db->prepare("INSERT INTO "._VMS_."_schnittstelle_anfragen (zeit,uid) VALUES (?,?)");
                    $sql->execute(array($tag, $_SESSION['uid']));
                if($error){
                    $einzahlmeldung = $trans_ausgabe;
                }else{
                    kontobuchung('+', $betragu, $_SESSION['uid']);
                    buchungsliste($buchungs_id, $betragu, $schnittstelle['einzahltext'], $_SESSION['uid']);
                    $einzahlmeldung = 'Es wurden '.$_POST['trans_menge'].' Punkte eingezahlt und in '.$betragu.' '.$system['waehrung'].' umgerechnet';
                }
            }else $einzahlmeldung = 'Deine Schnittstellenanfragen sind verbraucht!';
        }
    }else $einzahlmeldung = 'Bitte achte auf die Buchungsmenge!';
}else if($_POST['einzahlen'] == 'Einzahlen') $einzahlmeldung = 'Eingabefehler, bitte wiederholen!';


head("Einzahlen"); ?>
    <form action="" method="post">
        <p align="center">Momentan kannst du mit folgenden W&auml;hrungen einzahlen: <br/></p>
        <p align="center">
            <select name="waehrung">
                <?php $c = count($schnittstellen);
                for($i = 0; $i < $c; $i++){ ?>
                    <option
                        value="<?php echo $schnittstellen[$i]['schnittstelle']; ?>"><?php echo $schnittstellen[$i]['schnittstelle']; ?></option>
                <?php } ?>
            </select>
        </p>
        <p align="center"><input type="submit" name="b1" value="Ausw&auml;hlen"/></p>
    </form>
    <br>
<?php
if ($c == 0) {echo '<center>Keine Konten gefunden. Bitte schalte in deinem Userprofil externe Accounts frei.</center>'; }
foot();

if(isset($_POST['waehrung']) && in_array($_POST['waehrung'], $erlaubte_schnittstellen)){
    $sql = sql::$db->prepare("SELECT * FROM "._VMS_."_schnittstelle WHERE (aktiv = 1 OR aktiv= 3) AND schnittstelle=:waehrung LIMIT 1 ");
    $sql -> bindParam(':waehrung', $_POST['waehrung'], PDO::PARAM_STR);
    $sql -> execute();
    $schnittstelle = $sql->fetch();
    head("Einzahlen"); ?>
        <form action="" method="post">
            <input type="hidden" name="waehrung" value="<?php echo $_POST['waehrung']; ?>"/>
            <?php
            $multi_kontoida = sql::$db->prepare("SELECT kontoid FROM "._VMS_."_multi_konten WHERE uid=:session_uid AND waehrung=:waehrung LIMIT 1");
            $multi_kontoida -> bindParam(':session_uid', $_SESSION['uid'], PDO::PARAM_INT);
            $multi_kontoida -> bindParam(':waehrung', $_POST['waehrung'], PDO::PARAM_STR);
            $multi_kontoida -> execute();
            if($multi_kontoida->rowCount() == 0){
                echo 'Bitte lege im Userprofil deine Konto-ID fest.';
            }else{
                $multi_kontoid = $multi_kontoida->fetch();?>
                <table width="100%" border="0" cellpadding="2" cellspacing="2">
                    <tr>
                        <td align="left" width="55%">Kontonummer der ausgew&auml;hlten W&auml;hrung</td>
                        <td align="left">
                            <?php echo $multi_kontoid['kontoid']; ?>
                        </td>
                    </tr>
                    <tr>
                        <td align="left">Aktueller Kontostand in <?php echo $system['waehrung']; ?>.</td>
                        <td align="left">
                            <?php echo number_format($kontodaten['kontostand'], 2, ",", ".").' '.$system['waehrung'].''; ?>
                        </td>
                    </tr>
                    <tr>
                        <td align="left">Aktueller Kontostand umgerechnet.</td>
                        <td align="left">
                            <?php echo number_format($kontodaten['kontostand'] * $schnittstelle['wertepunkt'], 2, ",", ".").' '.$schnittstelle['waehrung_name']; ?>
                        </td>
                    </tr>
                    <tr>
                        <td align="left">------------------------------------------------</td>
                        <td align="left">------------------------------------------------</td>
                    </tr>
                    <tr>
                        <td align="left">Einzahlsumme (min.
                            <?php echo $schnittstelle['einzahlsumme']; ?>
                            <?php echo $schnittstelle['waehrung_name']; ?>)
                        </td>
                        <td align="left">
                            <input type="Text" name="trans_menge" value=""> (in <?php echo $schnittstelle['waehrung_name']; ?> angeben)
                        </td>
                    </tr>
                    <tr>
                        <td align="left"><?php echo $schnittstelle['waehrung_name']; ?>-Passwort</td>
                        <td align="left"><input type="Password" name="uid_passwort" value=""> (Wird nicht gespeichert.)</td>
                    </tr>
                    <tr>
                        <td align="center" colspan="2"><input type="Submit" name="einzahlen" value="Einzahlen"></td>
                    </tr>
                </table>
                <?php if($einzahlmeldung) echo '<div align="center"><font color="#800000">'.$einzahlmeldung.'</font></div>';
            }
        echo '</form>';
    foot();
}